import { defineConfig } from "vite";
import react from "@vitejs/plugin-react";
import eslint from "vite-plugin-eslint";

// https://vitejs.dev/config/
export default defineConfig({
  server: {
    host: true,
  },
  plugins: [
    { ...react(), ...eslint(), apply: "build" },
    {
      ...react(),
      ...eslint({ failOnWarning: false, failOnError: true }),
      apply: "serve",
      enforce: "post",
    },
  ],
});
